export default class Entity extends Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    initEntity: (el: any) => void;
    el: any;
    componentDidUpdate(prevProps: any, prevState: any): void;
    componentWillUnmount(): void;
    render(): import("react").DetailedReactHTMLElement<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
}
import { Component } from "react";
